import Box from "./Box";
import StartScene from "./StartScene";

export default class debug {
    parent;
    shape: egret.Shape;
    constructor(parent: egret.Sprite) {
        this.parent = parent;

        const top = this.parent;
        this.shape = new egret.Shape();
        top.addChild(this.shape);

        this.shape.graphics.beginFill(0xff0000);
        // const size = __monkeyHandSize__;
        // this.shape.graphics.drawRect(0, 0, 2, 2);
        this.shape.graphics.drawCircle(0,0,4);
        this.shape.graphics.endFill();

        const shape1 = new egret.Shape();
        shape1.graphics.beginFill(0xff0000);
        shape1.graphics.drawRect(0, 0, 999, 1);
        shape1.graphics.endFill();
        shape1.y = Box.MIDDLE_Y;
        top.addChild(shape1);

        const shape2 = new egret.Shape();
        shape2.graphics.beginFill(0xff0000);
        shape2.graphics.drawRect(0, 0, 999, 1);
        shape2.graphics.endFill();
        shape2.y = Box.MIDDLE_Y - StartScene.NET_RANGE;
        top.addChild(shape2);

        const shape3 = new egret.Shape();
        shape3.graphics.beginFill(0xff0000);
        shape3.graphics.drawRect(0, 0, 999, 1);
        shape3.graphics.endFill();
        shape3.y = Box.MIDDLE_Y + StartScene.NET_RANGE;
        top.addChild(shape3);
    }
}